
singleton Material(rim)
{
   mapTo = "rim";
   diffuseColor[0] = "0.80 0.80 0.80 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   doubleSided = "1";
   diffuseMap[0] = "wheel.tga";
   
};

singleton Material(inner_rim)
{
   mapTo = "inner_rim";
   diffuseColor[0] = "0.80 0.80 0.80 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   doubleSided = "1";
   diffuseMap[0] = "wheel.tga";
};

singleton Material(lights0)
{
   mapTo = "lights0";
   diffuseColor[0] = "0.80 0.80 0.80 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   diffuseMap[0] = "lights.tga";
   doubleSided = "1";
   
};

singleton Material(nodmg)
{
   mapTo = "nodmg";
   diffuseColor[0] = "0.80 0.80 0.80 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   doubleSided = "1";
   diffuseMap[0] = "nodamage.tga";
};

singleton Material(lights1)
{
   mapTo = "lights1";
   diffuseColor[0] = "0.80 0.80 0.80 0.8";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "Sub";
   doubleSided = "1";
   translucent = "1";
   diffuseMap[0] = "lights.tga";
};

singleton Material(black)
{
   mapTo = "black";
   diffuseColor[0] = "0.2 0.2 0.2 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   doubleSided = "1";
};

singleton Material(body)
{
   mapTo = "body";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "0.8 0.8 0.8 1";
   diffuseColor[1] = "0.9 0.9 0.9 0.7";
   specularPower[0] = "80";
   specularPower[1] = "80";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   beamngDiffuseColorSlot = 1;
   doubleSided = "1";
};

singleton Material(undercarriage)
{
   mapTo = "undercarriage";
   diffuseColor[0] = "0.80 0.80 0.80 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   doubleSided = "1";
};

singleton Material(window)
{
   mapTo = "window";
   diffuseColor[0] = "0.80 0.80 0.80 0.1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "Sub";
   translucent = "1";
   diffuseMap[0] = "glass0.tga";
   doubleSided = "1";
};

singleton Material(badge)
{
   mapTo = "badge";
   diffuseColor[0] = "0.80 0.80 0.80 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   diffuseMap[0] = "nodamage.tga";
   translucent = "1";
   doubleSided = "1";
};

singleton Material(interior)
{
   mapTo = "interior";
   diffuseColor[0] = "0.80 0.80 0.80 1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   translucent = "0";
   diffuseMap[0] = "interior.tga";
   doubleSided = "1";
};

singleton Material(badge_001)
{
   mapTo = "badge_001";
   diffuseColor[0] = "0.80 0.80 0.80 1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   translucent = "1";
   diffuseMap[0] = "badge.tga";
   doubleSided = "1";
};

singleton Material(mirrorLeft)
{
   mapTo = "mirrorLeft";
   diffuseColor[0] = "0.80 0.80 0.80 1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   translucent = "1";
   doubleSided = "1";
};

singleton Material(mirrorRight)
{
   mapTo = "mirrorRight";
   diffuseColor[0] = "0.80 0.80 0.80 1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   translucent = "1";
   doubleSided = "1";
};

singleton Material(mirrorMiddle)
{
   mapTo = "mirrorMiddle";
   diffuseColor[0] = "0.80 0.80 0.80 1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   translucent = "1";
   doubleSided = "1";
};

singleton Material(glass)
{
   mapTo = "glass";
   diffuseColor[0] = "0.80 0.80 0.80 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   translucent = "1";
   doubleSided = "1";
};

singleton Material(hatch)
{
   mapTo = "hatch";
   diffuseMap[2] = "vehicles/hatch/hatch_c_alt.dds";
   specularMap[2] = "vehicles/hatch/hatch_s_alt.dds";
   normalMap[2] = "vehicles/hatch/hatch_n.dds";
   diffuseMap[1] = "vehicles/hatch/hatch_d_alt.dds";
   specularMap[1] = "vehicles/hatch/hatch_s_alt.dds";
   normalMap[1] = "vehicles/hatch/hatch_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/hatch/hatch_n.dds";
   //diffuseMap[3] = "vehicles/hatch/hatch_dirt.dds";
   //normalMap[3] = "vehicles/hatch/hatch_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   diffuseColor[2] = "0.02 0.2 0.02 1.1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   doubleSided = "1";
   cubemap = "BNG_Sky_02_cubemap";
   beamngDiffuseColorSlot = 2;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   doubleSided = "1";
};

singleton Material(tire_002)
{
   mapTo = "tire_002";
   diffuseColor[0] = "0.80 0.80 0.80 1";
   specular[0] = "9 9 9 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   effectColor[1] = "0 0 0 0";
   doubleSided = "1";
   diffuseMap[0] = "tirea0.tga";
};

singleton Material(sierra_glass_dmg)
{
   mapTo = "sierra_glass_dmg";
   diffuseColor[0] = "0.80 0.80 0.80 0";
   specular[0] = "9 9 9 1";
   specularPower[0] = "50";
   translucent = "1";
   diffuseMap[0] = "";
};

singleton Material(sierra_lights)
{
   mapTo = "sierra_lights";
   diffuseColor[0] = "0.80 0.80 0.80 1";
   specular[0] = "9 9 9 1";
   specularPower[0] = "50";
   diffuseMap[0] = "lights.tga";
};

singleton Material(sierra_lights_on)
{
   mapTo = "sierra_lights_on";
   diffuseColor[0] = "0.12 0.12 0.12 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   doubleSided = "1";
   diffuseMap[0] = "lights.tga";
   glow[0] = "1";
   emissive[0] = "1";
};

singleton Material(sierra_lights_on_intense)
{
   mapTo = "sierra_lights_on_intense";
   diffuseColor[0] = "0.4 0.4 0.4 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   doubleSided = "1";
   diffuseMap[0] = "lights.tga";
   glow[0] = "1";
   emissive[0] = "1";
};

singleton Material(brights)
{
   mapTo = "brights";
};

singleton Material(headlights)
{
   mapTo = "headlights";
};

singleton Material(reverse)
{
   mapTo = "reverse";
};


singleton Material(signal_r)
{
   mapTo = "signal_r";
};


singleton Material(signal_l)
{
   mapTo = "signal_l";
};

singleton Material(sierra_brake)
{
   mapTo = "brake";
};

singleton Material(sierra_parking)
{
   mapTo = "parking";
   diffuseColor[0] = "0.64 0.181236 0 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material(sierra_tire0)
{
   mapTo = "tire0";
   diffuseColor[0] = "0.512 0.512 0.512 1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   diffuseMap[0] = "tireA0.tga";
};
